# Maintainer: Tizen Kernel
# You need ACK (+1) from the maintainer to be reviewed by building-blocks maintainers.

############################
## Tizen Power Manager ##
############################
%package sub1-domain_Feature-Power_manager
Summary: Tizen Power Manager
Requires: pass
Requires: hal-api-power
Suggests: pass-hal-rpi
Suggests: pass-hal-standard

%description sub1-domain_Feature-Power_manager
Tizen block (set of packages) for supporting power management of Tizen.<br>
PASS (Power Aware System Service) is power management service which provides<br>
features for accelerating H/W resources (e.g., CPU/GPU/Memory bus and etc)<br>
according to user scenarios specific to the use cases like AppLaunch<br>
in order to meet the performance demands and power-consumption requirements.<br>
<br>
Feature list of Power Manager as following:<br>
- Mandatory features:
1. "PM_QoS (Power Management Quality of Service)" features controls H/W resources<br>
of either performance boosting like AppLaunch or capping for restricting H/W<br>
resources like UltraPowerSaving. <br>
2. "Thermal Monitor" features monitors the thermal data with both interrupt-based<br>
collector and polling-based collector and provides the trigger feature<br>
to catch the specific situation like Warning, Shutdown when temperature<br>
is exceeded to the threshold. Finally, it provides thermal throttling<br>
by controlling the maximum value of H/W resources in order to prevent<br>
the overheat or dangerous situation.<br>
<br>
- Optional features:<br>
1. "CPUHP (CPU Hotplug Manager)" controls the number of online CPU on runtime<br>
according to the current system status on user-space. It is necessary on<br>
multi-core system with limited power capacity in order to use the power
effectively and guarantee the performance demands.<br>

%files sub1-domain_Feature-Power_manager
